FROM python:3.8-slim

RUN apt-get update && \
    apt-get -y install libglib2.0; \
    apt-get clean

WORKDIR /app
COPY ./facedetect/requirements.txt .

RUN pip install -r requirements.txt

COPY ./facedetect .

EXPOSE 80
CMD ["uvicorn", "app.main:app", "--host", "0.0.0.0", "--port", "80"] 